Skip to main content
`Ctrl`+`K`

# DMLabelRegisterAll

Registers all of the `DMLabel` implementations in the `DM` package.

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelRegisterAll(void)

Not Collective

## See Also

`DMLabel`, `DM`, `DMRegisterAll()`, `DMLabelRegisterDestroy()`

## Level

advanced

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages